com.tibco.n2.service.adapter.binding

## Interface BusinessService

- All Known Implementing Classes:
    BusinessService

      public interface BusinessService

  Interface to provide the `BusinessService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.busserv.api.business.CancelBusinessServiceResponseDocument.CancelBusinessServiceResponse` | `cancelBusinessService(java.lang.String processInstanceId)` Cancels BusinessService.
    `com.tibco.n2.busserv.api.business.InjectBusinessServiceEventResponseDocument.InjectBusinessServiceEventResponse` | `injectBusinessServiceEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)` Injects BusinessServiceEvent.
    `com.tibco.n2.busserv.api.business.ListBusinessServicesResponseDocument.ListBusinessServicesResponse` | `listBusinessServices(java.lang.Long startPosition, java.lang.Long numberOfItems, java.lang.Boolean getTotalCount, com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria, java.lang.Boolean includeFormalParameters, java.lang.String channelId)` Lists BusinessServices.
    `com.tibco.n2.busserv.api.business.ListCaseActionResponseDocument.ListCaseActionResponse` | `listCaseAction(java.lang.Long startPosition, java.lang.Long numberOfItems, java.lang.Boolean getTotalCount, com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria, java.lang.Boolean includeFormalParameters, java.lang.String channelId, java.lang.String caseReference)` Lists CaseAction
    `com.tibco.n2.busserv.api.business.ListCategoriesResponseDocument.ListCategoriesResponse` | `listCategories(java.lang.Long startPosition, java.lang.Long numberOfItems, java.lang.Boolean getTotalCount, com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria, java.lang.Boolean includeFormalParameters, java.lang.String channelId)` Lists Categories.
    `com.tibco.n2.busserv.api.business.QueryBusinessServicesResponseDocument.QueryBusinessServicesResponse` | `queryBusinessServices(java.lang.String category, java.lang.String channelId, boolean includeFormalParameters)` Queries BusinessServices.
    `com.tibco.n2.busserv.api.business.QueryCategoriesResponseDocument.QueryCategoriesResponse` | `queryCategories(java.lang.String category, java.lang.String channelId, boolean includeFormalParameters)` Queries Categories.
    `com.tibco.n2.busserv.api.business.StartBusinessServiceResponseDocument.StartBusinessServiceResponse` | `startBusinessService(com.tibco.n2.pfe.api.common.BusinessServiceTemplate businessServiceDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode, java.lang.Long cacheTimeout)` Starts BusinessService.
    `com.tibco.n2.busserv.api.business.UpdateBusinessServiceResponseDocument.UpdateBusinessServiceResponse` | `updateBusinessService(com.tibco.n2.pfe.api.common.RequestContext context, com.tibco.n2.common.datafeed.DataPayload pageFields, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)` Updates BusinessService.

- - ### Method Detail

    - #### listCategories

          com.tibco.n2.busserv.api.business.ListCategoriesResponseDocument.ListCategoriesResponse listCategories(java.lang.Long startPosition,
                                                                                                                 java.lang.Long numberOfItems,
                                                                                                                 java.lang.Boolean getTotalCount,
                                                                                                                 com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 java.lang.Boolean includeFormalParameters,
                                                                                                                 java.lang.String channelId)
                                                                                                          throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                 com.tibco.n2.busserv.services.PageFlowExecutionFault

      Lists Categories.
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `orderFilterCriteria` -
        `includeFormalParameters` -
        `channelId` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### queryCategories

          com.tibco.n2.busserv.api.business.QueryCategoriesResponseDocument.QueryCategoriesResponse queryCategories(java.lang.String category,
                                                                                                                    java.lang.String channelId,
                                                                                                                    boolean includeFormalParameters)
                                                                                                             throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                    com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                    com.tibco.n2.busserv.services.PageFlowExecutionFault

      Queries Categories.
      Parameters:
        `category` -
        `channelId` -
        `includeFormalParameters` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### listBusinessServices

          com.tibco.n2.busserv.api.business.ListBusinessServicesResponseDocument.ListBusinessServicesResponse listBusinessServices(java.lang.Long startPosition,
                                                                                                                                   java.lang.Long numberOfItems,
                                                                                                                                   java.lang.Boolean getTotalCount,
                                                                                                                                   com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria,
                                                                                                                                   java.lang.Boolean includeFormalParameters,
                                                                                                                                   java.lang.String channelId)
                                                                                                                            throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                   com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                   com.tibco.n2.busserv.services.PageFlowExecutionFault

      Lists BusinessServices.
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `orderFilterCriteria` -
        `includeFormalParameters` -
        `channelId` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### listCaseAction

          com.tibco.n2.busserv.api.business.ListCaseActionResponseDocument.ListCaseActionResponse listCaseAction(java.lang.Long startPosition,
                                                                                                                 java.lang.Long numberOfItems,
                                                                                                                 java.lang.Boolean getTotalCount,
                                                                                                                 com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 java.lang.Boolean includeFormalParameters,
                                                                                                                 java.lang.String channelId,
                                                                                                                 java.lang.String caseReference)
                                                                                                          throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.busserv.services.InvalidArgumentFault

      Lists CaseAction
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `orderFilterCriteria` -
        `includeFormalParameters` -
        `channelId` -
        `caseReference` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`

    - #### queryBusinessServices

          com.tibco.n2.busserv.api.business.QueryBusinessServicesResponseDocument.QueryBusinessServicesResponse queryBusinessServices(java.lang.String category,
                                                                                                                                      java.lang.String channelId,
                                                                                                                                      boolean includeFormalParameters)
                                                                                                                               throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                      com.tibco.n2.busserv.services.PageFlowExecutionFault

      Queries BusinessServices.
      Parameters:
        `category` -
        `channelId` -
        `includeFormalParameters` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### startBusinessService

          com.tibco.n2.busserv.api.business.StartBusinessServiceResponseDocument.StartBusinessServiceResponse startBusinessService(com.tibco.n2.pfe.api.common.BusinessServiceTemplate businessServiceDefinition,
                                                                                                                                   com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                                                   com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode,
                                                                                                                                   java.lang.Long cacheTimeout)
                                                                                                                            throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                   com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                   com.tibco.n2.busserv.services.PageFlowExecutionFault

      Starts BusinessService.
      Parameters:
        `businessServiceDefinition` -
        `formalParams` -
        `responsePayloadMode` -
        `cacheTimeout` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### updateBusinessService

          com.tibco.n2.busserv.api.business.UpdateBusinessServiceResponseDocument.UpdateBusinessServiceResponse updateBusinessService(com.tibco.n2.pfe.api.common.RequestContext context,
                                                                                                                                      com.tibco.n2.common.datafeed.DataPayload pageFields,
                                                                                                                                      com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)
                                                                                                                               throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                      com.tibco.n2.busserv.services.PageFlowExecutionFault

      Updates BusinessService.
      Parameters:
        `context` -
        `pageFields` -
        `responsePayloadMode` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### injectBusinessServiceEvent

          com.tibco.n2.busserv.api.business.InjectBusinessServiceEventResponseDocument.InjectBusinessServiceEventResponse injectBusinessServiceEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition,
                                                                                                                                                     com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                                                                     com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)
                                                                                                                                              throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                                     com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                                     com.tibco.n2.busserv.services.PageFlowExecutionFault

      Injects BusinessServiceEvent.
      Parameters:
        `eventDefinition` -
        `formalParams` -
        `responsePayloadMode` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

    - #### cancelBusinessService

          com.tibco.n2.busserv.api.business.CancelBusinessServiceResponseDocument.CancelBusinessServiceResponse cancelBusinessService(java.lang.String processInstanceId)
                                                                                                                               throws com.tibco.n2.busserv.services.InternalServiceFault,
                                                                                                                                      com.tibco.n2.busserv.services.InvalidArgumentFault,
                                                                                                                                      com.tibco.n2.busserv.services.PageFlowExecutionFault

      Cancels BusinessService.
      Parameters:
        `processInstanceId` -
      Returns:
      Throws:
        `com.tibco.n2.busserv.services.InternalServiceFault`
        `com.tibco.n2.busserv.services.InvalidArgumentFault`
        `com.tibco.n2.busserv.services.PageFlowExecutionFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.